TypeOfSchedule (The Data Transfer scheduler library 2.1.0-4.12.0-126143 API)
Date: 2018-08-02

org.gcube.datatransfer.scheduler.library.obj

## Class TypeOfSchedule

- java.lang.Object
- - org.gcube.datatransfer.scheduler.library.obj.TypeOfSchedule

-     public class TypeOfSchedule
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `directedScheduled`
    `protected ManuallyScheduled` | `manuallyScheduled`
    `protected PeriodicallyScheduled` | `periodicallyScheduled`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TypeOfSchedule()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ManuallyScheduled` | `getManuallyScheduled()`
    `PeriodicallyScheduled` | `getPeriodicallyScheduled()`
    `boolean` | `isDirectedScheduled()`
    `void` | `setDirectedScheduled(boolean directedScheduled)`
    `void` | `setManuallyScheduled(ManuallyScheduled manuallyScheduled)`
    `void` | `setPeriodicallyScheduled(PeriodicallyScheduled periodicallyScheduled)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### directedScheduled

          protected boolean directedScheduled

    - #### manuallyScheduled

          protected ManuallyScheduled manuallyScheduled

    - #### periodicallyScheduled

          protected PeriodicallyScheduled periodicallyScheduled

  - ### Constructor Detail

    - #### TypeOfSchedule

          public TypeOfSchedule()

  - ### Method Detail

    - #### isDirectedScheduled

          public boolean isDirectedScheduled()

    - #### setDirectedScheduled

          public void setDirectedScheduled(boolean directedScheduled)

    - #### getManuallyScheduled

          public ManuallyScheduled getManuallyScheduled()

    - #### setManuallyScheduled

          public void setManuallyScheduled(ManuallyScheduled manuallyScheduled)

    - #### getPeriodicallyScheduled

          public PeriodicallyScheduled getPeriodicallyScheduled()

    - #### setPeriodicallyScheduled

          public void setPeriodicallyScheduled(PeriodicallyScheduled periodicallyScheduled)

Copyright © 2018. All Rights Reserved.